Subject: Re: [PATCH 00/10] netdev: get rid of read_lock(&dev_base_lock) usages

From: Eric Dumazet <[email-masked]>
Date: Tue, 10 Nov 2009 19:18:14 +0100

Stephen Hemminger a écrit :
> The goal is to eliminate dev_base_lock completely, and just use RCU
> and rtnl_mutex for network devices. This series gets rid of the many
> of the users of dev_base_lock just for reading.
> 

Nice, but I was doing all this work Stephen... maybe I am too slow ?

I believe you missed one of my patch (but David is traveling)

[PATCH net-next-2.6] ipv6: speedup inet6_dump_ifinfo()

This conflicts with your :

[PATCH 08/10] ipv6: use RCU to walk list of network devices